UPD(4)

NAME
upd - USB Power Devices sensor

SYNOPSIS
upd* at uhidev?

DESCRIPTION
The upd driver exposes data from USB Power Devices (such as an UPS), as hardware sensors via sysctl(3).

The following sensors are provided by the upd driver, which can be monitored using sensorsd(8):

RelativeStateOfCharge
AbsoluteStateOfCharge
RemainingCapacity
FullChargeCapacity
Charging
Discharging
BatteryPresent
ShutdownImminent
ACPresent
AtRateTimeToFull

SEE ALSO
intro(4), uhidev(4), sensorsd(8), sysctl(8)

HISTORY
The upd driver first appeared in OpenBSD 5.6.

AUTHORS
The upd driver was written by Andre de Oliveira.